aboutsummaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorfmenguy <francoisregis.menguy@orange.com>2021-03-11 20:33:36 +0100
committerfmenguy <francoisregis.menguy@orange.com>2021-04-27 16:22:39 +0200
commitfc792bba0bfaaaeca8a9a1b6ca47c9cd9303d41f (patch)
tree2042fd7846251f5f8dc56343400afbd315dc5377 /docker
parent8755c892f6cfbfb8ca4f3405675dfe770c769605 (diff)
NFVBENCH-205 - Add behave tests for characterization and non-regression
Change-Id: I708eee21a9fd11e7a276707fb0b43d8598381ce7 Signed-off-by: fmenguy <francoisregis.menguy@orange.com>
Diffstat (limited to 'docker')
-rw-r--r--docker/Dockerfile10
-rwxr-xr-xdocker/nfvbench-entrypoint.sh4
2 files changed, 9 insertions, 5 deletions
diff --git a/docker/Dockerfile b/docker/Dockerfile
index be93d8e..8676bbd 100644
--- a/docker/Dockerfile
+++ b/docker/Dockerfile
@@ -32,20 +32,22 @@ RUN apt-get update && apt-get install -y \
&& python3 get-pip.py \
&& pip3 install -U pbr \
&& pip3 install -U setuptools \
- && cd / \
+ && cd /opt \
# Note: do not clone with --depth 1 as it will cause pbr to fail extracting the nfvbench version
# from the git tag
&& git clone https://gerrit.opnfv.org/gerrit/nfvbench \
- && cd /nfvbench && pip3 install -e . \
+ && cd nfvbench && pip3 install -e . \
&& wget -O nfvbenchvm-$VM_IMAGE_VER.qcow2 http://artifacts.opnfv.org/nfvbench/images/nfvbenchvm_centos-$VM_IMAGE_VER.qcow2 \
# Override Xtesting testcases.yaml file by NFVbench default one
&& cp xtesting/testcases.yaml /usr/local/lib/python3.8/dist-packages/xtesting/ci/testcases.yaml \
+ # Temporary override waiting for PR approval : https://gerrit.opnfv.org/gerrit/c/functest-xtesting/+/72431
+ && cp xtesting/behaveframework.py /usr/local/lib/python3.8/dist-packages/xtesting/core/behaveframework.py \
&& python3 ./docker/cleanup_generators.py \
- && rm -rf /nfvbench/.git \
+ && rm -rf /opt/nfvbench/.git \
&& apt-get remove -y wget git python3-dev libpython3.8-dev gcc \
&& apt-get autoremove -y && apt-get clean && rm -rf /var/lib/apt/lists/*
ENV TREX_EXT_LIBS "/opt/trex/$TREX_VER/external_libs"
-ENTRYPOINT ["/nfvbench/docker/nfvbench-entrypoint.sh"]
+ENTRYPOINT ["/opt/nfvbench/docker/nfvbench-entrypoint.sh"]
diff --git a/docker/nfvbench-entrypoint.sh b/docker/nfvbench-entrypoint.sh
index 812816d..913e5ba 100755
--- a/docker/nfvbench-entrypoint.sh
+++ b/docker/nfvbench-entrypoint.sh
@@ -13,7 +13,7 @@
# License for the specific language governing permissions and limitations
# under the License.
#
-if [ -z "$1" ] || ([ $1 != 'start_rest_server' ] && [ $1 != 'run_tests' ]); then
+if [ -z "$1" ] || ([ $1 != 'start_rest_server' ] && [ $1 != 'run_tests' ] && [ $1 != 'zip_campaign' ]); then
tail -f /dev/null
elif [ $1 == 'run_tests' ]; then
PARAMS=""
@@ -22,6 +22,8 @@ elif [ $1 == 'run_tests' ]; then
PARAMS+="$var "
done
eval "run_tests $PARAMS"
+elif [ $1 == 'zip_campaign' ]; then
+ zip_campaign
else
PARAMS="--server"
if [ -n "$HOST" ]; then